gnutls_x509_ext_import_proxy(3)

NAME
gnutls_x509_ext_import_proxy - API function

SYNOPSIS
#include <gnutls/x509-ext.h>

int gnutls_x509_ext_import_proxy(const gnutls_datum_t * ext, int * pathlen, char ** policyLanguage, char ** policy, size_t * sizeof_policy);

ARGUMENTS

const gnutls_datum_t * ext
    the DER encoded extension data

int * pathlen
    pointer to output integer indicating path length (may be NULL), non-negative error codes indicate a present pCPathLenConstraint field and the actual value, -1 indicate that the field is absent.

char ** policyLanguage
    output variable with OID of policy language

char ** policy
    output variable with policy data

size_t * sizeof_policy
    output variable with size of policy data

DESCRIPTION
This function will return the information from a proxy certificate extension. It reads the ProxyCertInfo X.509 extension (1.3.6.1.5.5.7.1.14). The policyLanguage and policy values must be deinitialized using gnutls_free() after use.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

SINCE
3.3.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2018 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/